External Integration Mapping
The external integration mapping resource.
Basehttps://rest.carbon.ms/externalIntegrationMapping
GET
/externalIntegrationMappingList external integration mappings
Retrieve a paginated list of external integration mappings. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/externalIntegrationMapping
curl --request GET \
--url 'https://rest.carbon.ms/externalIntegrationMapping?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"entityType": "string",
"entityId": "xyz789",
"integration": "string",
"allowDuplicateExternalId": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"companyId": "xyz789"
}
]GET
/externalIntegrationMappingRetrieve a external integration mapping
Fetch a single external integration mapping by filtering on `id`.
Query parameters
idstringMatch on the external integration mapping's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/externalIntegrationMapping
curl --request GET \
--url 'https://rest.carbon.ms/externalIntegrationMapping?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"entityType": "string",
"entityId": "xyz789",
"integration": "string",
"allowDuplicateExternalId": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"companyId": "xyz789"
}POST
/externalIntegrationMappingCreate a external integration mapping
Create a new external integration mapping.
Body parameters
entityTypestringrequiredentityIdstringrequiredintegrationstringrequiredexternalIdstringallowDuplicateExternalIdbooleanrequiredmetadataobjectlastSyncedAttimestampremoteUpdatedAttimestampcompanyIdstringrequiredReferences company.id
POSThttps://rest.carbon.ms/externalIntegrationMapping
curl --request POST \
--url https://rest.carbon.ms/externalIntegrationMapping \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"entityType":"string","entityId":"xyz789","integration":"string","allowDuplicateExternalId":true,"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"entityType": "string",
"entityId": "xyz789",
"integration": "string",
"allowDuplicateExternalId": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"companyId": "xyz789"
}PATCH
/externalIntegrationMappingUpdate a external integration mapping
Update an existing external integration mapping, matched on `id`.
Body parameters
entityTypestringrequiredentityIdstringrequiredintegrationstringrequiredexternalIdstringallowDuplicateExternalIdbooleanrequiredmetadataobjectlastSyncedAttimestampremoteUpdatedAttimestampcompanyIdstringrequiredReferences company.id
PATCHhttps://rest.carbon.ms/externalIntegrationMapping
curl --request PATCH \
--url 'https://rest.carbon.ms/externalIntegrationMapping?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"entityType":"string"}'Response
{
"id": "abc123def456",
"entityType": "string",
"entityId": "xyz789",
"integration": "string",
"allowDuplicateExternalId": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z",
"companyId": "xyz789"
}DELETE
/externalIntegrationMappingDelete a external integration mapping
Delete a external integration mapping, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the external integration mapping to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/externalIntegrationMapping
curl --request DELETE \
--url 'https://rest.carbon.ms/externalIntegrationMapping?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content